{% extends "base.html" %}

{% block app_content %}

    <table>
        <tr valign="top">
            <td><img src="{{ user.avatar(128) }}"></td>
            <td>
                <h1>{{_('User')}} : {{ user.username }}</h1>
                {% if user.about_me %} <p>{{ user.about_me }}</p>{% endif %}
                {% if user.last_seen %} <p>{{_('Last seen')}} : {{ moment(user.last_seen).fromNow() }}</p>{% endif %}
                <p>
                    {{ _('%(count)d followers', count= user.followers.count())}}, {{ _('%(count)d following', count= user.followed.count()) }}
                </p>
                {% if user == current_user %}
                <p><a href="{{ url_for('edit_profile') }}">{{ _('Edit your profile') }}</a></p>
                {% elif not current_user.is_following(user) %}
                <p><a href="{{ url_for('follow', username=user.username) }}">{{ _('Follow') }}</a></p>
                {% else %}
                <p><a href="{{ url_for('unfollow', username=user.username) }}">{{ _('Unfollow') }}</a></p>
                {% endif %}
            </td>

        </tr>
    </table>
    <hr>
    {% for post in posts %}
        {% include "_post.html" %}
    {% endfor %}
    <ul class="pager">
            <li class="previous{% if not prev_url %} disabled{% endif %}">
                <a href="{{ prev_url or '#' }}">
                    <span aria-hidden="true">&larr;</span> {{ _('Newer posts') }}
                </a>
            </li>
            <li class="next{% if not next_url %} disabled{% endif %}">
                <a href="{{ next_url or '#' }}">
                    {{ _('Older posts') }} <span aria-hidden="true">&rarr;</span>
                </a>
            </li>
        </ul>
{% endblock %}